API Reference
List Sales Navigator saved searches
Returns saved Sales Navigator searches available to the account group for bounded prospecting jobs.
GET
/v1/accounts/{accountGroupId}/sales-navigator/saved-searchesSaved-search source IDs
Use saved-search IDs from this endpoint when starting a sales_navigator prospecting job with savedSearchId.
Integration notes
Required API permission
prospecting:read.
Prerequisites
integration_api_key, account_group_access.
Parameters
accountGroupIdPathType: string
Account group ID that scopes the request.
Required
Request body
This endpoint does not define a request body.
Responses
200
Saved searches
Schema: SalesNavigatorListSuccessResponse
401
Invalid or missing API key
Schema: ErrorResponse
403
Missing required permission
Schema: ErrorResponse
429
Rate limit exceeded
Schema: ErrorResponse
500
Internal server error
Schema: ErrorResponse
502
Upstream service error
Schema: ErrorResponse
Response examples
200 Example JSONSalesNavigatorListSuccessResponse
{
"success": true,
"data": {
"items": [
{
"id": "507f1f77bcf86cd799439011",
"name": "Avery Stone"
}
]
},
"error": null,
"traceId": "507f1f77bcf86cd799439011"
}401 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}403 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}429 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}500 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}502 Example JSONErrorResponse
{
"success": false,
"data": null,
"error": {
"code": "string",
"message": "Thanks for the context. I can send over details this afternoon.",
"details": "string"
},
"traceId": "507f1f77bcf86cd799439011"
}